- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MDepthStencilStateDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a complete depth-stencil state.

This class encapsulates a complete depth-stencil state, like z buffer enable, z write enable, z comparison function, stencil enable, stencil masks and reference values. It also contains MStencilOpDesc stencil operation descriptors for front and back faces.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MDepthStencilStateDesc ()
| Constructor, builds a default depth stencil state.
| ~MDepthStencilStateDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the depth stencil state to their default values.
| MDepthStencilStateDesc (const MDepthStencilStateDesc &rDesc)
| NO SCRIPT SUPPORT.
MDepthStencilStateDesc & | operator= (const MDepthStencilStateDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes
bool | depthEnable
| Enables depth buffer reads and compares, default true.
bool | depthWriteEnable
| Enables depth buffer writes, default true.
MStateManager::CompareMode | depthFunc
| Sets the depth buffer comparison function, default less than.
bool | stencilEnable
| Enables stencil buffer operation.
unsigned char | stencilReadMask
| Sets a bitwise stencil buffer read mask, default 0xff.
unsigned char | stencilWriteMask
| Sets a bitwise stencil buffer write mask, default 0xff.
int | stencilReferenceVal
| Sets the stencil reference value.
MStencilOpDesc | frontFace
| Sets the stencil op for the front facing fragments.
MStencilOpDesc | backFace
| Sets the stencil op for the back facing fragments. Search for all occurrences

## Constructor & Destructor Documentation

MDepthStencilStateDesc | ( | const MDepthStencilStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MDepthStencilStateDesc & operator= | ( | const MDepthStencilStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

bool depthEnable

Search for all occurrences

Enables depth buffer reads and compares, default true.

bool depthWriteEnable

Search for all occurrences

Enables depth buffer writes, default true.

MStateManager::CompareMode depthFunc

Search for all occurrences

Sets the depth buffer comparison function, default less than.

bool stencilEnable

Search for all occurrences

Enables stencil buffer operation.

unsigned char stencilReadMask

Search for all occurrences

Sets a bitwise stencil buffer read mask, default 0xff.

unsigned char stencilWriteMask

Search for all occurrences

Sets a bitwise stencil buffer write mask, default 0xff.

int stencilReferenceVal

Search for all occurrences

Sets the stencil reference value.

MStencilOpDesc frontFace

Search for all occurrences

Sets the stencil op for the front facing fragments.

MStencilOpDesc backFace

Search for all occurrences

Sets the stencil op for the back facing fragments.

MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc
MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc MDepthStencilStateDesc